/* 
 *
 * Copyright (c) <2010> Comarch S.A. and/or its subsidiary(-ies).
 * All rights reserved.
 * This component and the accompanying materials are made available
 * under the terms of the License "Eclipse Public License v1.0"
 * which accompanies this distribution, and is available
 * at the URL "http://www.eclipse.org/legal/epl-v10.html".
 *
 * Original Contributors:
 * Comarch S.A. - original contribution.
 *
 * Contributors:
 *
 * Description:
 *
 */

#include <btdevice.h>

#include "hspcod.h"
#include "debug.h"

CHsHSPCoD* CHsHSPCoD::NewL()
    {

    CHsHSPCoD *self = CHsHSPCoD::NewLC();
    CleanupStack::Pop( self );

    return self;
    }

CHsHSPCoD* CHsHSPCoD::NewLC()
    {
    CHsHSPCoD *self = new ( ELeave ) CHsHSPCoD;
    CleanupStack::PushL( self );
    self->ConstructL();
    return self;
    }

CHsHSPCoD::~CHsHSPCoD()
    {
    RestoreOldCod();
    }

void CHsHSPCoD::ConstructL()
    {

    }

void CHsHSPCoD::SetNewCodL()
    {
    TRACE_FUNC_ENTRY

    TBTDeviceClass newDeviceClass = TBTDeviceClass( KHsHSPDeviceClass );
    TInt err = RProperty::Set( KPropertyUidBluetoothCategory,
            KPropertyKeyBluetoothSetDeviceClass, newDeviceClass.DeviceClass() );
    TRACE_INFO( (_L("error value = %d"), err) )
    User::LeaveIfError( err );

    TRACE_FUNC_EXIT
    }
